Bug 8255 - Local cover images should be cacheable
Summary: Local cover images should be cacheable
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Assignee: Jared Camins-Esakov
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-15 17:52 UTC by Jared Camins-Esakov
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8255: allow local cover images to be cached (1.22 KB, patch)
2012-06-15 17:55 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8255: allow local cover images to be cached (1.41 KB, patch)
2012-06-17 16:22 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2012-06-15 17:52:11 UTC
At the moment, local cover images cannot be cached by the web browser or any intermediate reverse proxies. This results in an unnecessary load on the server, and is entirely unnecessary.
Comment 1 Jared Camins-Esakov 2012-06-15 17:55:14 UTC Comment hidden (obsolete)
Comment 2 Dobrica Pavlinusic 2012-06-17 16:22:48 UTC
Created attachment 10333 [details] [review]
Bug 8255: allow local cover images to be cached

At the moment, local cover images cannot be cached by the web browser
or any intermediate reverse proxies. This results in an unnecessary
load on the server, and is entirely unnecessary.

Signed-off-by: Dobrica Pavlinusic <dpavlin@rot13.org>
Comment 3 Dobrica Pavlinusic 2012-06-17 16:24:02 UTC
I think this patch provides more value than I managed to stuff into commit message. Tested with Firefox and Chrome
Comment 4 Ian Walls 2012-06-20 19:20:04 UTC
Just changes caching rules to make more sense.  Marking Passed QA.
Comment 5 Paul Poulain 2012-06-25 16:12:16 UTC
This can be considered as a bugfix imo (chris_c, your final cut, as usual)
Comment 6 Chris Cormack 2012-06-26 01:38:02 UTC
Pushed to 3.8.x, will be in 3.8.3